<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_gplotmatrix.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_gplotmatrix" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_gplotmatrix</refname>
    <refpurpose>Scatter plot matrix with grouping variable.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   nan_gplotmatrix(X,Y,G)
   nan_gplotmatrix(X,Y,G,CLR,SYM,SIZ)
   nan_gplotmatrix(X,Y,G,CLR,SYM,SIZ,DOLEG)
   nan_gplotmatrix(X,Y,G,CLR,SYM,SIZ,DOLEG,DISPOPT)
   nan_gplotmatrix(X,Y,G,CLR,SYM,SIZ,DOLEG,DISPOPT,XNAM,YNAM)
   nan_gplotmatrix(X,[],G,...)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>X:</term>
      <listitem><para> P by M matrix</para></listitem></varlistentry>
   <varlistentry><term>Y:</term>
      <listitem><para> if Y is a P by N Matrix, N by M scatter plots will be created. If y is empty X vs X will be plotted</para></listitem></varlistentry>
   <varlistentry><term>G:</term>
      <listitem><para> grouping  variable that determines the marker and color assigned to each point in   each matrix</para></listitem></varlistentry>
   <varlistentry><term>CLR :</term>
      <listitem><para> string of color specifications. Default is 'bgrcmyk'</para></listitem></varlistentry>
   <varlistentry><term>SYM :</term>
      <listitem><para> string of marker specifications. Default is '.'</para></listitem></varlistentry>
   <varlistentry><term>SIZ :</term>
      <listitem><para> marker size to use  for all plots</para></listitem></varlistentry>
   <varlistentry><term>DOLEG :</term>
      <listitem><para> 'on' legends are plotted. 'off' means no legens will be plotted at all</para></listitem></varlistentry>
   <varlistentry><term>DISPOPT :</term>
      <listitem><para> lets you control how to  fill the diagonals in a plot of X vs. X. Set DISPOPT to 'none' to  leave them blank, 'hist' (default) to plot histograms, or 'variable' to   write the variable names.</para></listitem></varlistentry>
   <varlistentry><term>XNAM :</term>
      <listitem><para> names of the X variables, must be a   character array or cell array of strings of the appropriate dimension.</para></listitem></varlistentry>
   <varlistentry><term>YNAM :</term>
      <listitem><para> names of the Y variables, must be a   character array or cell array of strings of the appropriate dimension.</para></listitem></varlistentry>
   <varlistentry><term>H:</term>
      <listitem><para> handle of the plotted points</para></listitem></varlistentry>
   <varlistentry><term>AX:</term>
      <listitem><para> handle of the subaxes</para></listitem></varlistentry>
   <varlistentry><term>BigAx :</term>
      <listitem><para> handle to the figure</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
nan_gplotmatrix creates a matrix of scatter plots of the columns of
X against the columns of Y, grouped by G.  If Y is [], scatter plots of X vs X will be plotted.
   </para>
   <para>
If the number of columns of X is M and the number of columns of Y is N, then N by M scatter plots will be created.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
loadmatfile(nan_getpath()+"/demos/data/iris.mat");
varNames = {'Sepal Length','Sepal Width','Petal Length','Petal Width'};
nan_gplotmatrix(meas,[],species,'bgrcm',[],[],'on','hist',varNames');

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_grpstats">nan_grpstats</link></member>
   <member><link linkend="nan_gscatter">nan_gscatter</link></member>
   <member><link linkend="nan_plotmatrix">nan_plotmatrix</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt</member>
   </simplelist>
</refsection>
</refentry>
